# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [0.9.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.8.0...@microsoft/fast-components@0.9.0) (2020-04-22)


### Bug Fixes

* addresses issue causing mismanaged disabled state ([#2951](https://github.com/Microsoft/fast-dna/issues/2951)) ([44fdb83](https://github.com/Microsoft/fast-dna/commit/44fdb83c006fa1b7a4d1d492e43ddfe7c69f7a99))
* align Fast to FAST ([#2950](https://github.com/Microsoft/fast-dna/issues/2950)) ([94c8744](https://github.com/Microsoft/fast-dna/commit/94c874455eccbb8609715c7fa96095a226428813))
* ensure typings exist in distro [#2944](https://github.com/Microsoft/fast-dna/issues/2944) ([0239b12](https://github.com/Microsoft/fast-dna/commit/0239b12eb1aee0912120255c1725793084f3a596))
* export anchored region ([#2974](https://github.com/Microsoft/fast-dna/issues/2974)) ([ef77970](https://github.com/Microsoft/fast-dna/commit/ef77970a9d3f5c7fe51e3c359411df1477595232))
* form associate the textarea component ([#2937](https://github.com/Microsoft/fast-dna/issues/2937)) ([41393f2](https://github.com/Microsoft/fast-dna/commit/41393f2af2d05cd7fee719697fb4ac2d25c1e3e9))
* high contrast color on slider and slider label ([#2967](https://github.com/Microsoft/fast-dna/issues/2967)) ([1a3fe7c](https://github.com/Microsoft/fast-dna/commit/1a3fe7cda30d44018ea36b289563de47e92c34e2))
* improve performance of finding contextual design-system-providers ([#2973](https://github.com/Microsoft/fast-dna/issues/2973)) ([b894659](https://github.com/Microsoft/fast-dna/commit/b894659e06379ed3b82453435b28c38804f0116b))
* make anchorElement observable and check for detectors before disconnect ([#2981](https://github.com/Microsoft/fast-dna/issues/2981)) ([32bab53](https://github.com/Microsoft/fast-dna/commit/32bab538846c96d93fb9de7a8e9799af34f47e8f))
* removes unnecessary custom properties ([#2939](https://github.com/Microsoft/fast-dna/issues/2939)) ([78eb90e](https://github.com/Microsoft/fast-dna/commit/78eb90ef8e24e8a1beb0e7de4a254e3a1b420fac))
* update high contrast colors on hover on text field component ([#2956](https://github.com/Microsoft/fast-dna/issues/2956)) ([7e72248](https://github.com/Microsoft/fast-dna/commit/7e72248ff3b8cee26994fe73419cd6661a5f1b91))
* update high contrast colors on switch component ([#2949](https://github.com/Microsoft/fast-dna/issues/2949)) ([52a2356](https://github.com/Microsoft/fast-dna/commit/52a2356a6d806441b33c0324239e049a4fce2315))


### Features

* add anchored region as web component ([#2909](https://github.com/Microsoft/fast-dna/issues/2909)) ([19c0412](https://github.com/Microsoft/fast-dna/commit/19c041278ba60859f12d6f05bca3feba8c8a61b2))
* export flipper [#2964](https://github.com/Microsoft/fast-dna/issues/2964) ([d9133f7](https://github.com/Microsoft/fast-dna/commit/d9133f7dd5aa76939967a6a526d57134d6fedad7))
* refactor recipe implementation to use behaviors ([#2947](https://github.com/Microsoft/fast-dna/issues/2947)) ([e8834e5](https://github.com/Microsoft/fast-dna/commit/e8834e5c1d322ce0681e53e5d4cbba1ec112d76d))





# [0.8.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.7.0...@microsoft/fast-components@0.8.0) (2020-04-13)


### Features

* add slider web component ([#2861](https://github.com/Microsoft/fast-dna/issues/2861)) ([c295e01](https://github.com/Microsoft/fast-dna/commit/c295e015e9e47ec68b51baf47e2a39c9f4d809b8))





# [0.7.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.6.1...@microsoft/fast-components@0.7.0) (2020-04-10)


### Bug Fixes

* align checkbox class and part name to align with other controls ([#2907](https://github.com/Microsoft/fast-dna/issues/2907)) ([4cf68dc](https://github.com/Microsoft/fast-dna/commit/4cf68dc5f7c85d68aad8e5ba8c1cb3264a0aaca2))
* export missing components and styles ([#2887](https://github.com/Microsoft/fast-dna/issues/2887)) ([a821bb7](https://github.com/Microsoft/fast-dna/commit/a821bb7be398e5ed11d98cb5f3d66dd7d645755f))
* switch size ([#2906](https://github.com/Microsoft/fast-dna/issues/2906)) ([e8e29c1](https://github.com/Microsoft/fast-dna/commit/e8e29c166969398c7fbc11233ff5e49eeb0de093))


### Features

* add badge web component ([#2795](https://github.com/Microsoft/fast-dna/issues/2795)) ([bf6bf51](https://github.com/Microsoft/fast-dna/commit/bf6bf513d3dcb811cc6b83da206de3b80647522e))
* add divider as web component ([#2864](https://github.com/Microsoft/fast-dna/issues/2864)) ([5c9e09d](https://github.com/Microsoft/fast-dna/commit/5c9e09d5efd62ebdc7d2d4d0b797af77e0ae38ab))
* add flipper as a web component ([#2870](https://github.com/Microsoft/fast-dna/issues/2870)) ([ceb582e](https://github.com/Microsoft/fast-dna/commit/ceb582e6f9a3b0d3cc73e7afd454ebf8031ef372))
* design system provider and recipe implementation ([#2860](https://github.com/Microsoft/fast-dna/issues/2860)) ([8c04e15](https://github.com/Microsoft/fast-dna/commit/8c04e15a3d1809210891643e97686635b36e5a0f))
* remove name tag example component ([#2902](https://github.com/Microsoft/fast-dna/issues/2902)) ([9a6f464](https://github.com/Microsoft/fast-dna/commit/9a6f46491d235461b0094e7b11b5b170d6250a9b))





## [0.6.1](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.6.0...@microsoft/fast-components@0.6.1) (2020-04-02)

**Note:** Version bump only for package @microsoft/fast-components





# [0.6.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.5.0...@microsoft/fast-components@0.6.0) (2020-03-30)


### Bug Fixes

* attribute bindings in fast components ([#2847](https://github.com/Microsoft/fast-dna/issues/2847)) ([0d25806](https://github.com/Microsoft/fast-dna/commit/0d25806360b987a3f3c3a69dc5dd005415f70795))
* implement new boolean attribute mode ([#2841](https://github.com/Microsoft/fast-dna/issues/2841)) ([8fe3b94](https://github.com/Microsoft/fast-dna/commit/8fe3b9481b295508aaf762604f81272bb8ad2276))
* udpate text tield as form connected ([#2842](https://github.com/Microsoft/fast-dna/issues/2842)) ([51b8e7c](https://github.com/Microsoft/fast-dna/commit/51b8e7c65f8007cb0f135959c50528cc7d2905b7))


### Features

* add progress web component ([#2828](https://github.com/Microsoft/fast-dna/issues/2828)) ([5f2be52](https://github.com/Microsoft/fast-dna/commit/5f2be52738396aa1985a49eac667bd6e397abfa7))





# [0.5.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.4.0...@microsoft/fast-components@0.5.0) (2020-03-25)


### Features

* add forced-color support to existing components ([#2830](https://github.com/Microsoft/fast-dna/issues/2830)) ([45a4cc5](https://github.com/Microsoft/fast-dna/commit/45a4cc5e30031d617dd2b4e68604cb2f1e5f4a6e))





# [0.4.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.3.0...@microsoft/fast-components@0.4.0) (2020-03-25)


### Features

* adds focus-visible support to components ([#2821](https://github.com/Microsoft/fast-dna/issues/2821)) ([cb20dd0](https://github.com/Microsoft/fast-dna/commit/cb20dd0db9c82d64051890c708341e9b7cd8e11f))
* wire recipes to design-system-provider ([#2807](https://github.com/Microsoft/fast-dna/issues/2807)) ([0148434](https://github.com/Microsoft/fast-dna/commit/0148434d6ba65d620295aa3e3a61fbb2673b1a0e))





# [0.3.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.2.0...@microsoft/fast-components@0.3.0) (2020-03-18)


### Features

* add switch as new web component ([#2789](https://github.com/Microsoft/fast-dna/issues/2789)) ([803e49b](https://github.com/Microsoft/fast-dna/commit/803e49b))
* add text area web component ([#2787](https://github.com/Microsoft/fast-dna/issues/2787)) ([0ecf9b2](https://github.com/Microsoft/fast-dna/commit/0ecf9b2))





# [0.2.0](https://github.com/Microsoft/fast-dna/compare/@microsoft/fast-components@0.1.0...@microsoft/fast-components@0.2.0) (2020-03-13)


### Features

* add card as a new web component ([#2737](https://github.com/Microsoft/fast-dna/issues/2737)) ([9047a7a](https://github.com/Microsoft/fast-dna/commit/9047a7a))
* add checkbox web component ([#2762](https://github.com/Microsoft/fast-dna/issues/2762)) ([2b3b0ad](https://github.com/Microsoft/fast-dna/commit/2b3b0ad))
* add dialog as a new web component ([#2751](https://github.com/Microsoft/fast-dna/issues/2751)) ([be4f207](https://github.com/Microsoft/fast-dna/commit/be4f207))
* add elevation algorithm to web-components ([#2779](https://github.com/Microsoft/fast-dna/issues/2779)) ([4cfd4f4](https://github.com/Microsoft/fast-dna/commit/4cfd4f4))
* add form association component ([#2741](https://github.com/Microsoft/fast-dna/issues/2741)) ([4c50c76](https://github.com/Microsoft/fast-dna/commit/4c50c76))
* add text field web component ([#2785](https://github.com/Microsoft/fast-dna/issues/2785)) ([c11b651](https://github.com/Microsoft/fast-dna/commit/c11b651))





# 0.1.0 (2020-02-28)


### Bug Fixes

* reference to observable target ([#2683](https://github.com/Microsoft/fast-dna/issues/2683)) ([65d81e0](https://github.com/Microsoft/fast-dna/commit/65d81e0))


### Features

* add fast-components package ([#2677](https://github.com/Microsoft/fast-dna/issues/2677)) ([9f37cbb](https://github.com/Microsoft/fast-dna/commit/9f37cbb))
* adds design-system provider stub component ([#2681](https://github.com/Microsoft/fast-dna/issues/2681)) ([33e22a4](https://github.com/Microsoft/fast-dna/commit/33e22a4))
